## nerdlog 1.8.2

=== Makefile ===
VERSION != git describe --dirty --tags --always
COMMIT != git rev-parse HEAD
DATE != date -u +"%Y-%m-%dT%H:%M:%SZ"

all: clean nerdlog

.PHONY: nerdlog
nerdlog:
	@go build \
		-o bin/nerdlog \
		-ldflags "\
			-X 'github.com/dimonomid/nerdlog/version.version=$(patsubst v%,%,$(VERSION))' \
			-X 'github.com/dimonomid/nerdlog/version.commit=$(COMMIT)' \
			-X 'github.com/dimonomid/nerdlog/version.date=$(DATE)' \
			-X 'github.com/dimonomid/nerdlog/version.builtBy=make' \
		" \
		./cmd/nerdlog

.PHONY: clean
clean:
	@rm -rf bin

PREFIX ?= /usr/local
DESTDIR ?=
BINDIR := $(DESTDIR)$(PREFIX)/bin
INSTALL := install
INSTALL_FLAGS := -m 755

.PHONY: install
install:
	$(INSTALL) $(INSTALL_FLAGS) -D bin/nerdlog $(BINDIR)/nerdlog

# Run all tests. To skip the repetitions of the agent tests with shorter index
# file (expecting it to "index up"), because it's the slowest part of the
# tests, set env var NERDLOG_AGENT_TEST_SKIP_INDEX_UP
test:
	@# This step is needed to make sure that we don't get extra output like
	@# "go: downloading github.com/spf13/pflag v1.0.6" when running journalctl_mock,
	@# since it ends up in the debug output from the script which we then compare
	@# with the expected output.
	cd cmd/journalctl_mock && go build -o /dev/null
	@# The tests run rather slow so we use "-v -p 1" so that we get the unbuffered
	@# output.
	go test ./... -count 1 -v -p 1 $(ARGS)

# Run the tests (without the index-up repetitions), and update all the expected
# outputs in the repo.
#
# After running it, it's your job to examine the diff carefully, and if all the
# changes look legit, commit them.
update-test-expectations:
	rm -rf /tmp/nerdlog_agent_test_output /tmp/nerdlog_core_test_output
	-NERDLOG_AGENT_TEST_SKIP_INDEX_UP=1 make test
	bash util/copy_agent_test_results.sh
	bash util/copy_core_test_results.sh
	bash util/copy_e2e_test_results.sh

bench:
	# The -run=^$ is needed to avoid running the regular tests as well.
	go test ./core -bench=BenchmarkNerdlogAgent -benchtime=3s -run=^$

## nerdlog 1.10.0

=== Makefile ===
--- 
+++ 
@@ -30,9 +30,12 @@
 install:
 	$(INSTALL) $(INSTALL_FLAGS) -D bin/nerdlog $(BINDIR)/nerdlog
 
-# Run all tests. To skip the repetitions of the agent tests with shorter index
-# file (expecting it to "index up"), because it's the slowest part of the
-# tests, set env var NERDLOG_AGENT_TEST_SKIP_INDEX_UP
+# Run (almost) all tests (core tests will run for a single hostname: localhost
+# by default, can be overridden using the NERDLOG_CORE_TEST_HOSTNAME env var).
+#
+# To skip the repetitions of the agent tests with shorter index file (expecting
+# it to "index up"), because it's the slowest part of the tests, set env var
+# NERDLOG_AGENT_TEST_SKIP_INDEX_UP
 test:
 	@# This step is needed to make sure that we don't get extra output like
 	@# "go: downloading github.com/spf13/pflag v1.0.6" when running journalctl_mock,
@@ -43,17 +46,45 @@
 	@# output.
 	go test ./... -count 1 -v -p 1 $(ARGS)
 
+# Same as test above, but run all the possible variations of the tests.
+# For it to work, you need to be able to "ssh 127.0.0.1" without password.
+test-all-variations:
+	@# Run all the default test configurations, which means that for core tests,
+	@# we'll use "localhost" as the hostname, which will use local transport.
+	make test
+	@# Rerun core tests using "127.0.0.1" as the hostname, which will use ssh
+	@# transport.
+	NERDLOG_CORE_TEST_HOSTNAME=127.0.0.1 make test ARGS='-run TestCoreScenarios'
+	@# Rerun core tests using "127.0.0.1" as the hostname and external ssh bin.
+	NERDLOG_CORE_TEST_HOSTNAME=127.0.0.1 NERDLOG_CORE_TEST_TRANSPORT_SSH_BIN=1 \
+    make test ARGS='-run TestCoreScenarios'
+
 # Run the tests (without the index-up repetitions), and update all the expected
 # outputs in the repo.
 #
 # After running it, it's your job to examine the diff carefully, and if all the
 # changes look legit, commit them.
 update-test-expectations:
-	rm -rf /tmp/nerdlog_agent_test_output /tmp/nerdlog_core_test_output
+	rm -rf                             \
+    /tmp/nerdlog_agent_test_output   \
+    /tmp/nerdlog_core_test_output    \
+    /tmp/nerdlog_e2e_test_output
 	-NERDLOG_AGENT_TEST_SKIP_INDEX_UP=1 make test
 	bash util/copy_agent_test_results.sh
 	bash util/copy_core_test_results.sh
 	bash util/copy_e2e_test_results.sh
+	@# Also run core tests with 127.0.0.1 as the host, to update host-dependent
+	@# payloads for that hostname.
+	rm -rf /tmp/nerdlog_core_test_output
+	-NERDLOG_CORE_TEST_HOSTNAME=127.0.0.1 make test ARGS='-run TestCoreScenarios'
+	bash util/copy_core_test_results.sh
+	@# Also run core tests with 127.0.0.1 and ssh-bin, to update host-dependent
+	@# payloads for that hostname.
+	rm -rf /tmp/nerdlog_core_test_output
+	-NERDLOG_CORE_TEST_HOSTNAME=127.0.0.1     \
+    NERDLOG_CORE_TEST_TRANSPORT_SSH_BIN=1   \
+    make test ARGS='-run TestCoreScenarios'
+	bash util/copy_core_test_results.sh
 
 bench:
 	# The -run=^$ is needed to avoid running the regular tests as well.

=== debian/changelog ===
nerdlog (1.10.0-1) sid; urgency=low

  * Merging upstream version 1.10.0.
  * Removing rivo-tview.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 23:22:40 +0200

nerdlog (1.8.2-2) sid; urgency=low

  * Using codename instead of suitname in changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 22:54:30 +0200

nerdlog (1.8.2-1) sid; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 May 2025 11:41:46 +0200

=== debian/control ===
Source: nerdlog
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 gawk <!nocheck>,
 golang-any,
 golang-github-dimonomid-clock-dev,
 golang-github-dimonomid-ssh-config-dev,
 golang-github-gdamore-tcell.v2-dev,
 golang-github-gobwas-glob-dev,
 golang-github-juju-errors-dev,
 golang-github-mattn-go-runewidth-dev,
 golang-github-rivo-tview-dev,
 golang-github-rivo-uniseg-dev,
 golang-github-spf13-pflag-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-clipboard-dev,
 golang-golang-x-crypto-dev,
 golang-yaml.v2-dev,
 libx11-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/dimonomid/nerdlog
Vcs-Browser: https://forgejo.debian.net/nerdlog/nerdlog
Vcs-Git: https://forgejo.debian.net/nerdlog/nerdlog
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/dimonomid/nerdlog

Package: nerdlog
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: multi-host, remote, TUI log viewer
 Nerdlog is a fast, remote-first, multi-host TUI log viewer with timeline
 histogram and no central server. Loosely inspired by Graylog/Kibana, but
 without the infrastructure needs behind it.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	mkdir -p _build/src/github.com/dimonomid/nerdlog/core
	cp -a core/nerdlog_agent.sh _build/src/github.com/dimonomid/nerdlog/core

execute_before_dh_auto_test:
	mkdir -p _build/src/github.com/dimonomid/nerdlog/core
	cp -a core/*_testdata _build/src/github.com/dimonomid/nerdlog/core

	mkdir -p _build/src/github.com/dimonomid/nerdlog/cmd/nerdlog
	cp -a cmd/nerdlog/*_testdata _build/src/github.com/dimonomid/nerdlog/cmd/nerdlog

override_dh_auto_test:
	# some checks need upstream fixes
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_after_dh_auto_install:
	# remove unused files
	rm -f debian/nerdlog/usr/bin/generate_syslog
	rm -f debian/nerdlog/usr/bin/journalctl_mock

=== debian/watch ===
version=4
https://github.com/dimonomid/nerdlog/tags .*/v?(\d.*)@ARCHIVE_EXT@
